<?php

namespace Litecms\Noticeuser;

use User;

class Noticeuser
{
    /**
     * $noticeuser object.
     */
    protected $noticeuser;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Noticeuser\Interfaces\NoticeuserRepositoryInterface $noticeuser)
    {
        $this->noticeuser = $noticeuser;
    }

    /**
     * Returns count of noticeuser.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.noticeuser.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->noticeuser->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\NoticeuserUserCriteria());
        }

        $noticeuser = $this->noticeuser->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('noticeuser::' . $view, compact('noticeuser'))->render();
    }
}
